<?php
/*-----------------------
Autor: Delmar Lopez
http://www.softwys.com
----------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Clientes";
permisos($modulo, $cadena_permisos);
/*Inicia validacion del lado del servidor*/
if (empty($_POST['numero_mesa'])) {
    $errors[] = "ID vacío";
} else if (
    !empty($_POST['numero_mesa'])

) {
    // escaping, additionally removing everything that could be (html/javascript-) code
    $numero_mesa = intval($_POST['numero_mesa']);
    $id_mesa = intval($_POST['id_mesa']);
    $query    = mysqli_query($conexion, "select id_mesa, status_mesa from mesas WHERE status_mesa=1 AND id_mesa='" . $id_mesa . "'");
    $count    = mysqli_num_rows($query);
    if ($count == 0) {
    //Actulizamos el status de la Mesa actual
        $sql_a = "UPDATE mesas SET  status_mesa=0, users_id =0 WHERE id_mesa='" . $numero_mesa . "'";
    $update_mesa = mysqli_query($conexion, $sql_a);
    //Actulizacion la Nueva mesa
    $sql_b          = "UPDATE mesas SET  status_mesa=1, users_id ='" . $user_id . "' WHERE id_mesa='" . $id_mesa . "'";
    $update_new = mysqli_query($conexion, $sql_b);
     //Actulizacion la tabla tmp
     $sql_b          = "UPDATE tmp_mesa SET  mesa_tmp='" . $id_mesa . "' WHERE mesa_tmp='" . $numero_mesa . "'";
     $update_new = mysqli_query($conexion, $sql_b);
     echo "<script>
     swal('CAMBIO DE MESA EXITOSAMENTE!', 'INTENTAR NUEVAMENTE', 'error');
     $('#resultados').load('../ajax/agregar_mesa_tmp.php');
     window.location.href = '../html/control_mesas.php';
 </script>";
        if ($update_mesa = true) {
            ?>
            <div class="alert alert-success alert-dismissible" role="alert">
              <strong>Aviso!</strong> Cambio de Mesa exitosamente.
          </div>
          <?php
} else {
            ?>
        <div class="alert alert-danger alert-dismissible" role="alert">
          <strong>Error!</strong> Lo siento algo ha salido mal intenta nuevamente.
      </div>
      <?php

        }

    } else {
        ?>
    <div class="alert alert-danger alert-dismissible" role="alert">
      <strong>Error!</strong> No se pudo utilizar ésta Mesa. Esta en uso.
  </div>
  <?php
}

} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
    </div>
    <?php
}

?>